---
updatedAt: 2026-02-10T13:06:59.000Z
---

# Update Session Parameters

Updates the session parameters of an existing session. If the key of the parameter already exists, it will be updated with the new value else both the key and the value will be added to existing parameters.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Digital - Custom Chat",
    "description": "This API facilitates session-based communication. Only \"Chat\" channel is supported now.",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.1"
  },
  "servers": [
    {
      "url": "{protocol}://{server}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "basePath": {
          "default": "/api/digital/channel/v1"
        }
      }
    },
    {
      "url": "{protocol}://{server}:{port}",
      "description": "Internal API",
      "variables": {
        "protocol": {
          "enum": [
            "http",
            "https"
          ],
          "default": "http"
        },
        "server": {
          "default": "msg-web-gateway"
        },
        "port": {
          "enum": [
            "80",
            "443"
          ],
          "default": "80"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Sessions",
      "description": "Sessions are used to hold context information about the customer and the clients used by the customer. A customer can have multiple active sessions at the same time. Sessions can be passed on any explicit requests made on engagements so that all the activities can be correlated back to sessions that caused it.\n"
    }
  ],
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "paths": {
    "/accounts/{accountId}/sessions/{sessionId}:updateSessionParameters": {
      "post": {
        "tags": [
          "Sessions"
        ],
        "summary": "Update Session Parameters",
        "description": "Updates the session parameters of an existing session. If the key of the parameter already exists, it will be updated with the new value else both the key and the value will be added to existing parameters.\n",
        "operationId": "updateSessionParametersInDigitalSession",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "$ref": "#/components/parameters/sessionId"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SessionParameters"
              },
              "examples": {
                "Update-Session-Parameters": {
                  "$ref": "#/components/examples/UpdateSessionParameters"
                }
              }
            }
          },
          "description": "request",
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Session"
                },
                "examples": {
                  "Update-Session-Parameters-Response": {
                    "$ref": "#/components/examples/UpdateSessionParametersSessionResponse"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      },
      "sessionId": {
        "name": "sessionId",
        "description": "The unique 36 character internal id that represents the session.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 36,
          "maxLength": 36,
          "pattern": "^[0-9a-fA-F]{8}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{12}$",
          "example": "10494b78-710c-11eb-9439-0242ac130002"
        }
      }
    },
    "responses": {
      "BadRequest": {
        "description": "Bad Request",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorConstraintViolation"
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized.",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnauthorized"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden.",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorForbidden"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found.",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorNotFound"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "Internal Server Error",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorInternalServerError"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "Session": {
        "description": "Client session of a customer",
        "type": "object",
        "required": [
          "sessionId",
          "accountId",
          "channelProviderId",
          "sessionStatus",
          "createdAt",
          "lastUpdatedAt",
          "url"
        ],
        "properties": {
          "sessionId": {
            "type": "string",
            "description": "The unique 36 character id (uuid) that represents the users session."
          },
          "accountId": {
            "type": "string",
            "description": "The unique 6 character internal id that represents the customer account"
          },
          "channelProviderId": {
            "type": "string",
            "description": "The unique id that represents the channel provider"
          },
          "displayName": {
            "type": "string",
            "description": "The display name of the session"
          },
          "customerIdentifiers": {
            "$ref": "#/components/schemas/CustomerIdentifiers"
          },
          "sessionParameters": {
            "type": "object",
            "description": "Additional parameter of the created session",
            "additionalProperties": {
              "type": "string"
            }
          },
          "sessionStatus": {
            "$ref": "#/components/schemas/SessionStatus"
          },
          "providerCustomerId": {
            "type": "string",
            "description": "The provider side identifier for the customer"
          },
          "createdAt": {
            "type": "string",
            "format": "date-time",
            "description": "The datetime when the session was created (in ISO 8601 format including timezone, 'yyyy-MM-dd'T'HH:mm:ss[.SSS]Z')"
          },
          "lastUpdatedAt": {
            "type": "string",
            "format": "date-time",
            "description": "The datetime when the session was last updated (in ISO 8601 format including timezone, 'yyyy-MM-dd'T'HH:mm:ss[.SSS]Z')"
          },
          "url": {
            "type": "string",
            "example": "/api/digital/channel/v1/sessions/e0f70943-dc9f-4be3-966f-fa41d4e1b7d4",
            "description": "The Get Session API URL for the session"
          }
        }
      },
      "SessionParameters": {
        "type": "object",
        "description": "Optional key/value session parameters for capturing properties of the user and the user's client device. Key is limited to 64 characters",
        "maxProperties": 20,
        "additionalProperties": {
          "type": "string",
          "maxLength": 256
        }
      },
      "CustomerIdentifiers": {
        "type": "object",
        "description": "Unique identifiers for identifying the customer during an Engagement such as phoneNumbers or emailAddresses.",
        "minProperties": 1,
        "maxProperties": 10,
        "additionalProperties": {
          "type": "array",
          "description": "Identifiers related to the Customer. The maximum length of an identifer key is 50 characters and must be a valid \"name\" of a pre-configured identifier in Customer Journey.\n",
          "maxItems": 5,
          "items": {
            "type": "string",
            "minLength": 1,
            "maxLength": 256
          }
        }
      },
      "SessionStatus": {
        "description": "Status of the session",
        "type": "string",
        "enum": [
          "ACTIVE",
          "TERMINATING",
          "TERMINATED"
        ]
      },
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "examples": {
      "UpdateSessionParametersSessionResponse": {
        "value": {
          "sessionId": "10494b78-710c-11eb-9439-0242ac130002",
          "accountId": "ABCDEF",
          "channelProviderId": "ChatConnector01",
          "displayName": "John Doe",
          "customerIdentifiers": {
            "emailAddresses": [
              "john@example.com"
            ],
            "phoneNumbers": [
              "+91 20 4101 8003"
            ]
          },
          "sessionParameters": {
            "language": "english",
            "device": "mobile",
            "app": "chrome-mobile",
            "country": "Ireland"
          },
          "sessionStatus": "ACTIVE",
          "providerCustomerId": "55",
          "createdAt": "2018-11-13T20:25:39.534Z",
          "lastUpdatedAt": "2018-11-13T20:25:39.734Z",
          "url": "/api/digital/channel/v1/sessions/10494b78-710c-11eb-9439-0242ac130002"
        }
      },
      "UpdateSessionParameters": {
        "value": {
          "country": "Ireland"
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "channelId",
              "message": "must not be null"
            }
          ]
        }
      },
      "ErrorUnauthorized": {
        "description": "Unauthorized",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/onecloud-ccaas/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ErrorForbidden": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user and/or accountId does not have permission to access this resource."
        }
      },
      "ErrorNotFound": {
        "description": "Not Found",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#not-found",
          "title": "Not Found",
          "status": 404,
          "detail": "Either there is no API method associated with the URL path of the request, or the request refers to one or more resources that were not found."
        }
      },
      "ErrorInternalServerError": {
        "description": "Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```